
<li [ngClass]="{'list-group-item': true,
'list-group-item-success':  post.loveIts>0,
'list-group-item-danger':  post.loveIts<0}">
<table >
  <tr [ngStyle]="{color: getColor()}">
    <td colspan="4"><h4 >{{ post.title }}  </h4></td>
    <td colspan="4" style="text-align: right;">{{ post.created_at | date: 'short'  }}</td>
  
  </tr>
  <tr>
    <td colspan="8">{{ post.content }}</td> 
  </tr>
  
  <tr>
    <td colspan="4">
      <button class="btn btn-success"
      (click)="onLoveit()">Love it</button>
      <button class="btn btn-danger"
      (click)="onDontloveit()">Don't love it</button>
    </td>
  <td colspan="4" style="text-align: right;">
      <button class="btn btn-danger"
      (click)="onDeletePost()">Supprimer post</button>
    </td>
  </tr>
</table>
</li> 